Cortex Docs
API ReferenceAdmin Endpoints

Admin/ Revenue Cat

RevenueCat webhook receiver and admin subscription inspection endpoints.

POST
/api/webhooks/revenuecat/v1

Authorization

revenuecat-webhook-token
AuthorizationBearer <token>

RevenueCat webhook shared secret. Set in REVENUECAT_WEBHOOK_BEARER_TOKEN.

In: header

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"
Authorization*string

Requires the shared RevenueCat webhook token configured in the RevenueCat dashboard. Apidog value: Bearer {{revenuecat_webhook_token}}.

Default"Bearer {{revenuecat_webhook_token}}"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/webhooks/revenuecat/v1" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en" \  -H "Authorization: Bearer {{revenuecat_webhook_token}}" \  -H "Content-Type: application/json" \  -d '{    "api_version": "string",    "event": {      "id": "string",      "type": "string",      "event_timestamp_ms": 1    }  }'
{  "code": "string",  "message": "string"}